WordPress.org

Ready to get started?Download WordPress

Forums

WordPress 2.0 RSS Invalid (5 posts)

  1. sumeetjain
    Member
    Posted 8 years ago #

    I just installed WordPress 2.0, and for some reason my RSS won't validate (and, therefore, won't display).

    http://sumeetjain.com/treasures/feed/

    I'm not an XML guru by any means, so if someone could help me out, I'd appreciate it. I haven't made any modifications to core files, and I'm running the Blix theme.

  2. moshu
    Member
    Posted 8 years ago #

    The latest stable - and secure! - version is 2.0.2. You may want to consider upgrading: a lot of bugs were addressed in 2.0.1 and 2.0.2.

  3. sumeetjain
    Member
    Posted 8 years ago #

    I have 2.0.2. Sorry for the lack of clarity.

  4. Kafkaesqui

    Posted 8 years ago #

    The error you're getting is due to how you have javascript embedded in your posts.

    Note that you are displaying full text for your posts in your feed. So full text feeds remain valid, WordPress places post content in a CDATA section (otherwise the HTML tags and entities in a post will invalidate the feed). Problem is, you're placing your javascript code in CDATA sections as well, and where these close the feed breaks.

    Your options are: A. don't use javascript in posts, or B. drop your js code in HTML comments (<!-- ... //-->) and not CDATA sections.

  5. sumeetjain
    Member
    Posted 8 years ago #

    Thanks Kafkaesqui, I'll try B.

Topic Closed

This topic has been closed to new replies.

About this Topic